# Class WatchBench.AddSparseWatchState

java.lang.Object
org.apache.zookeeper.server.watch.WatchBench.InvocationState
org.apache.zookeeper.server.watch.WatchBench.AddSparseWatchState

Enclosing class:
  `WatchBench`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

public static class WatchBench.AddSparseWatchState extends WatchBench.InvocationState

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`pathCount`
`int`
`watcherCount`

### Fields inherited from class WatchBench.InvocationState

`watchManagerClass`

## Constructor Summary

Constructors
Constructor
Description
`AddSparseWatchState()`

## Method Summary

Modifier and Type
Method
Description
`void`
`prepare()`
`void`
`tearDown()`

### Methods inherited from class WatchBench.InvocationState

`setup`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pathCount

public int pathCount

### watcherCount

public int watcherCount

## Constructor Details

### AddSparseWatchState

public AddSparseWatchState()

## Method Details

### prepare

public void prepare()

### tearDown

public void tearDown()